KDFCounterTests (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.crypto.test.cavp

## Class KDFCounterTests

- java.lang.Object
- - org.bouncycastle.crypto.test.cavp.KDFCounterTests

- All Implemented Interfaces:
    CAVPListener

      public final class KDFCounterTests
      extends java.lang.Object
      implements CAVPListener

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KDFCounterTests()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `receiveCAVPVectors(java.lang.String name, java.util.Properties config, java.util.Properties vectors)`
    `void` | `receiveCommentLine(java.lang.String commentLine)`
    `void` | `receiveEnd()`
    `void` | `receiveStart(java.lang.String name)`
    `void` | `setup()`
    `void` | `tearDown()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KDFCounterTests

          public KDFCounterTests()

  - ### Method Detail

    - #### receiveCAVPVectors

          public void receiveCAVPVectors(java.lang.String name,
                                java.util.Properties config,
                                java.util.Properties vectors)

      Specified by:
        `receiveCAVPVectors` in interface `CAVPListener`

    - #### receiveCommentLine

          public void receiveCommentLine(java.lang.String commentLine)

      Specified by:
        `receiveCommentLine` in interface `CAVPListener`

    - #### receiveStart

          public void receiveStart(java.lang.String name)

      Specified by:
        `receiveStart` in interface `CAVPListener`

    - #### receiveEnd

          public void receiveEnd()

      Specified by:
        `receiveEnd` in interface `CAVPListener`

    - #### setup

          public void setup()

      Specified by:
        `setup` in interface `CAVPListener`

    - #### tearDown

          public void tearDown()

      Specified by:
        `tearDown` in interface `CAVPListener`